package com.ruoyi.common.utils.dingding.config;

/**
 * 钉钉开放接口网关常量
 *
 * @author Administrator
 */
public class DingUrlConstant {

    private static final String HOST = "https://oapi.dingtalk.com";

    /**
     * 获取access_token url
     */
    public static final String URL_GET_TOKEN = HOST + "/gettoken";

    /**
     * 获取jsapi_ticket url
     */
    public static final String URL_GET_JSTICKET = HOST + "/get_jsapi_ticket";

    /**
     * 通过免登授权码获取用户信息 url
     */
    public static final String URL_GET_USER_INFO = HOST + "/user/getuserinfo";

    /**
     * 根据用户id获取用户详情 url
     */
    public static final String URL_USER_GET = HOST + "/user/get";

    public static final String URL_USER_GET_V2 = HOST + "/topapi/v2/user/get";

    /**
     * 获取部门列表 url
     */
    public static final String URL_DEPARTMENT_LIST = HOST + "/department/list";

    /**
     * 获取部门用户 url
     */
    public static final String URL_USER_SIMPLELIST = HOST + "/user/simplelist";

    /**
     * 获取登录用户企业认证信息
     */
    public static final String URL_ORG_INFO = HOST + "/contact/organizations/authInfos";

    /**
     * 获取应用管理后台免登的用户信息
     */
    public static final String URL_SSO_USER_INFO = HOST + "/oauth2/ssoUserInfo";

}
