package com.ruoyi.utils.resumeAnalysis;

public enum ResumeType {

    PERSONAL(new String[]{"个人信息", "个人资料","基本信息","联系方式","个人简历"}),
    WORKEXPERIENCE(new String[]{"工作经验","工作实习经历", "工作经历","工作履历"}),
    PROJECTEXPERIENCE(new String[]{"项目经验", "项目经历"}),
    SELFEVALUATION(new String[]{"个人评价","个人简介","个人特点","自我评价","个人总结","个人优势","自我认知"}),
    PROFESSIONALSKILLS(new String[]{"专业技能","技能","技能专长","个人技能","技能特长","推荐评语", "掌握技能","职业技能","相关技能"}),
    CERTIFICATE(new String[]{"证书","技能证书"}),
    EDUCATIONALEXPERIENCE(new String[]{"教育经历","培训经历","教育培训经历","教育背景"}),

    OTHER(new String[]{"求职意向"});


    private final String[] code;

    ResumeType(String[] code)
    {
        this.code = code;
    }

    public String[] getCode()
    {
        return code;
    }

}
