package com.ruoyi.system.domain.crm;


import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("联系人")
public class Contacts extends BaseEntity {

    @ApiModelProperty("主键id")
    private Integer id;

    @ApiModelProperty("联系人ID")
    private String contactsId;

    @ApiModelProperty("客户实体id")
    private String customerId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("联系人编号")
    private String contactCode;

    @ApiModelProperty("手机")
    private String phone;

    @ApiModelProperty("手机")
    private String tel;

    @ApiModelProperty("手机")
    private String tel2;

    @ApiModelProperty("传真")
    private String fax;

    @ApiModelProperty("电子邮箱")
    private String email;

    @ApiModelProperty("QQ")
    private String qq;

    @ApiModelProperty("所属部门")
    private String department;

    @ApiModelProperty("职位")
    private String position;

    @ApiModelProperty("办公地址")
    private String officeAddress;

    @ApiModelProperty("来源")
    private String source;

    @ApiModelProperty("邮编")
    private String postcode;

    @ApiModelProperty("照片")
    private String Photo;

    @ApiModelProperty("创建人")
    private String createdBy;

    @ApiModelProperty("创建时间")
    private String createdDate;

    @ApiModelProperty("修改人")
    private String updatedBy;

    @ApiModelProperty("修改时间")
    private String updatedDate;

    @ApiModelProperty("")
    private String is_Active;

    @ApiModelProperty("删除时间")
    private String deleteDate;

    @ApiModelProperty("删除人")
    private String deleteBy;

    @ApiModelProperty("公司id")
    private String companyId;

    @ApiModelProperty("是否删除0:未删除,1:已删除")
    private String isDelete;

}
