package com.ruoyi.system.domain.dhrm;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 公司管理对象 dhrm_company
 * 
 * @author ruoyi
 * @date 2023-11-16
 */
public class DhrmCompany extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long dhrmId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dhrmCompanyId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dhrmCompanyName;

    /** DSK */
    @Excel(name = "DSK")
    private String dhrmCompanyDsk;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String isClose;

    /** 开户行 */
    @Excel(name = "开户行")
    private String bankName;

    /** 账号 */
    @Excel(name = "账号")
    private String bankNum;

    /** 所属公司 */
    @Excel(name = "所属公司")
    private String companyId;

    public void setDhrmId(Long dhrmId) 
    {
        this.dhrmId = dhrmId;
    }

    public Long getDhrmId() 
    {
        return dhrmId;
    }
    public void setDhrmCompanyId(String dhrmCompanyId) 
    {
        this.dhrmCompanyId = dhrmCompanyId;
    }

    public String getDhrmCompanyId() 
    {
        return dhrmCompanyId;
    }
    public void setDhrmCompanyName(String dhrmCompanyName) 
    {
        this.dhrmCompanyName = dhrmCompanyName;
    }

    public String getDhrmCompanyName() 
    {
        return dhrmCompanyName;
    }
    public void setDhrmCompanyDsk(String dhrmCompanyDsk) 
    {
        this.dhrmCompanyDsk = dhrmCompanyDsk;
    }

    public String getDhrmCompanyDsk() 
    {
        return dhrmCompanyDsk;
    }
    public void setIsClose(String isClose) 
    {
        this.isClose = isClose;
    }

    public String getIsClose() 
    {
        return isClose;
    }
    public void setBankName(String bankName) 
    {
        this.bankName = bankName;
    }

    public String getBankName() 
    {
        return bankName;
    }
    public void setBankNum(String bankNum) 
    {
        this.bankNum = bankNum;
    }

    public String getBankNum() 
    {
        return bankNum;
    }
    public void setCompanyId(String companyId) 
    {
        this.companyId = companyId;
    }

    public String getCompanyId() 
    {
        return companyId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dhrmId", getDhrmId())
            .append("dhrmCompanyId", getDhrmCompanyId())
            .append("dhrmCompanyName", getDhrmCompanyName())
            .append("dhrmCompanyDsk", getDhrmCompanyDsk())
            .append("isClose", getIsClose())
            .append("bankName", getBankName())
            .append("bankNum", getBankNum())
            .append("companyId", getCompanyId())
            .toString();
    }
}
