package com.ruoyi.system.domain.resume;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 简历工作经历信息管理对象 resume_work
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
public class ResumeWork extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 工作记录ID */
    private Long workId;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String companyName;

    /** 公司地址 */
    @Excel(name = "公司地址")
    private String companyPosition;

    /** 证明人 */
    @Excel(name = "证明人")
    private String leaderName;

    /** 证明人联系方式 */
    @Excel(name = "证明人联系方式")
    private String leaderMobile;

    /** 入职时间 */
    @Excel(name = "入职时间")
    private String iinductionStartDate;

    /** 离职时间 */
    @Excel(name = "离职时间")
    private String iinductionEndDate;

    /** 岗位 */
    @Excel(name = "岗位")
    private String postionName;

    /** 工作描述 */
    @Excel(name = "工作描述")
    private String workDetail;

    /** 简历ID(外键) */
    @Excel(name = "简历ID(外键)")
    private Long resumeId;

    /** 排序 */
    @Excel(name = "排序")
    private Long orderBy;

    /** 离职原因 */
    @Excel(name = "离职原因")
    private String reason;

    public void setWorkId(Long workId) 
    {
        this.workId = workId;
    }

    public Long getWorkId() 
    {
        return workId;
    }
    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setCompanyPosition(String companyPosition) 
    {
        this.companyPosition = companyPosition;
    }

    public String getCompanyPosition() 
    {
        return companyPosition;
    }
    public void setLeaderName(String leaderName) 
    {
        this.leaderName = leaderName;
    }

    public String getLeaderName() 
    {
        return leaderName;
    }
    public void setLeaderMobile(String leaderMobile) 
    {
        this.leaderMobile = leaderMobile;
    }

    public String getLeaderMobile() 
    {
        return leaderMobile;
    }
    public void setIinductionStartDate(String iinductionStartDate) 
    {
        this.iinductionStartDate = iinductionStartDate;
    }

    public String getIinductionStartDate() 
    {
        return iinductionStartDate;
    }
    public void setIinductionEndDate(String iinductionEndDate) 
    {
        this.iinductionEndDate = iinductionEndDate;
    }

    public String getIinductionEndDate() 
    {
        return iinductionEndDate;
    }
    public void setPostionName(String postionName) 
    {
        this.postionName = postionName;
    }

    public String getPostionName() 
    {
        return postionName;
    }
    public void setWorkDetail(String workDetail) 
    {
        this.workDetail = workDetail;
    }

    public String getWorkDetail() 
    {
        return workDetail;
    }
    public void setResumeId(Long resumeId) 
    {
        this.resumeId = resumeId;
    }

    public Long getResumeId() 
    {
        return resumeId;
    }
    public void setOrderBy(Long orderBy) 
    {
        this.orderBy = orderBy;
    }

    public Long getOrderBy() 
    {
        return orderBy;
    }
    public void setReason(String reason) 
    {
        this.reason = reason;
    }

    public String getReason() 
    {
        return reason;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("workId", getWorkId())
            .append("companyName", getCompanyName())
            .append("companyPosition", getCompanyPosition())
            .append("leaderName", getLeaderName())
            .append("leaderMobile", getLeaderMobile())
            .append("iinductionStartDate", getIinductionStartDate())
            .append("iinductionEndDate", getIinductionEndDate())
            .append("postionName", getPostionName())
            .append("workDetail", getWorkDetail())
            .append("resumeId", getResumeId())
            .append("orderBy", getOrderBy())
            .append("reason", getReason())
            .toString();
    }
}
